<?php

require_once dirname( __FILE__ ) . '/class-tgm-plugin-activation.php';

add_action( 'tgmpa_register', 'osteo_syntax_highlighter_register_required_plugins' );

function osteo_syntax_highlighter_register_required_plugins() {

    $plugins = array(

        //Envato Market Plugin
        array(
            'name'               => 'Envato Market',
            'slug'               => 'envato-market',
            'source'             => dirname( __FILE__ ) . '/plugins/envato-market.zip',
            'required'           => true,
            'version'            => '',
            'force_activation'   => false,
            'force_deactivation' => false,
            'external_url'       => '',
            'is_callable'        => '',
        ),
    );

    $config = array(
        'id'           => 'osteo_progressbar',
        'default_path' => '',
        'menu'         => 'tgmpa-install-plugins',
        'parent_slug'  => 'plugins.php',
        'capability'   => 'manage_options',
        'has_notices'  => true,
        'dismissable'  => true,
        'dismiss_msg'  => '',
        'is_automatic' => false,
        'message'      => '',
    );

    tgmpa( $plugins, $config );
}
